apiVersion: networking.k8s.io/v1
kind: IngressClass
metadata:
  name: apisix
spec:
  controller: k8s.io/ingress-nginx
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: verifier-be-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: backoffice.verifier.pda1.test.esspass.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: verifier-be-service
                port:
                  number: 3000
  tls:
    - hosts:
        - backoffice.verifier.pda1.test.esspass.eu
      secretName: backoffice-verifier-test-esspass-cert
